%{?nodejs_find_provides_and_requires}

%global packagename require-directory
%global enable_tests 1

Name:		nodejs-require-directory
Version:	2.1.1
Release:	1%{?dist}
Summary:	Iterates over directory, require()'ing each file

License:	MIT
URL:		https://github.com/troygoode/node-require-directory.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# There are no tags or releases in the upstream github repo, so this tarball
# had to be created by hand :-(
Source1:	tests-%{version}.tar.bz2

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

Requires:	nodejs

%description
Recursively iterates over specified directory, require()'ing each file, and
returning a nested hash structure containing those modules.


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/mocha -R spec
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.markdown
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Wed Oct 28 2015 Jared Smith <jsmith@fedoraproject.org> - 2.1.1-1
- Initial packaging
